## ros-galactic-camera-calibration 2.2.1

=== debian/changelog ===
ros-galactic-camera-calibration (2.2.1-3focal) focal; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * Add pytest.ini to fix warning (#584 <https://github.com/ros-perception/image_pipeline/issues/584>)
    Fixes the following warning:
    Warning: The 'junit_family' default value will change to 'xunit2' in pytest 6.0.
    Add 'junit_family=xunit1' to your pytest.ini file to keep the current format in future versions of pytest and silence this warning.
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Jacob Perron, Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Aug 2020 07:00:00 -0000

ros-galactic-camera-calibration (2.2.0-3focal) focal; urgency=high

  * Removed basestring (no longer exists in new python 3 version). (#554 <https://github.com/ros-perception/image_pipeline/issues/554>)
    Fixes #551 <https://github.com/ros-perception/image_pipeline/issues/551>
  * Initial ROS2 commit.
  * Contributors: Michael Carroll, PfeifferMicha

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 27 Jul 2020 07:00:00 -0000

ros-galactic-camera-calibration (1.12.23-3focal) focal; urgency=high

  * camera_checker: Ensure cols + rows are in correct order (#319 <https://github.com/ros-perception/image_pipeline/issues/319>)
    Without this commit, specifying a smaller column than row size lead to
    huge reported errors:
    ```
    $ rosrun camera_calibration cameracheck.py --size 6x7 --square 0.0495
    Linearity RMS Error: 13.545 Pixels      Reprojection RMS Error: 22.766 Pixels
    $ rosrun camera_calibration cameracheck.py --size 7x6 --square 0.0495
    Linearity RMS Error: 0.092 Pixels      Reprojection RMS Error: 0.083 Pixels
    ```
    This commit switches columns and rows around if necessary.
  * Contributors: Martin Günther

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 07:00:00 -0000

ros-galactic-camera-calibration (1.12.22-3focal) focal; urgency=high

  * Changed flags CV_LOAD_IMAGE_COLOR by IMREAD_COLOR to adapt to Opencv3. (#252 <https://github.com/ros-perception/image_pipeline/issues/252>)
  * Fixed stereo calibration problem with chessboard with the same number of rows and cols by rotating the corners to same direction.
  * Contributors: jbosch

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 08:00:00 -0000

ros-galactic-camera-calibration (1.12.21-3focal) focal; urgency=high

  * re-add the calibration nodes but now using the Python modules.
    Fixes #298 <https://github.com/ros-perception/image_pipeline/issues/298>
  * Move nodes to Python module.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 07:00:00 -0000

ros-galactic-camera-calibration (1.12.20-3focal) focal; urgency=high

  * properly save bytes buffer as such
    This is useful for Python 3 and fixes #256 <https://github.com/ros-perception/image_pipeline/issues/256>.
  * Get tests slightly looser.
    OpenCV 3.2 gives slightly different results apparently.
  * Use floor division where necessary. (#247 <https://github.com/ros-perception/image_pipeline/issues/247>)
  * Fix and Improve Camera Calibration Checker Node (#254 <https://github.com/ros-perception/image_pipeline/issues/254>)
    * Fix according to calibrator.py API
    * Add approximate to cameracheck
  * Force first corner off chessboard to be uppler left.
    Fixes #140 <https://github.com/ros-perception/image_pipeline/issues/140>
  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * During stereo calibration check that the number of corners detected in the left and right images are the same. This fixes ros-perception/image_pipeline#225 <https://github.com/ros-perception/image_pipeline/issues/225>
  * Contributors: Leonard Gerard, Martin Peris, Vincent Rabaud, hgaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 07:00:00 -0000

ros-galactic-camera-calibration (1.12.19-3focal) focal; urgency=high

  * Fix array check in camerachecky.py
    This closes #205 <https://github.com/ros-perception/image_pipeline/issues/205>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 07:00:00 -0000

ros-galactic-camera-calibration (1.12.18-3focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 07:00:00 -0000

ros-galactic-camera-calibration (1.12.17-3focal) focal; urgency=high

  * fix typo np -> numpy
  * fix failing tests
  * Contributors: Shingo Kitagawa, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 07:00:00 -0000

ros-galactic-camera-calibration (1.12.16-3focal) focal; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 07:00:00 -0000

ros-galactic-camera-calibration (1.12.15-3focal) focal; urgency=high

  * better 16 handling in mkgray
    This re-uses #150 <https://github.com/ros-perception/image_pipeline/issues/150> and therefore closes #150 <https://github.com/ros-perception/image_pipeline/issues/150>
  * fix OpenCV2 compatibility
  * fix tests with OpenCV3
  * [Calibrator]: add yaml file with calibration data in output
  * Contributors: Vincent Rabaud, sambrose

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 08:00:00 -0000

ros-galactic-camera-calibration (1.12.14-3focal) focal; urgency=high

  * remove camera_hammer and install Python nodes properly
    camera_hammer was just a test for camera info, nothing to do with
    calibration. Plus the test was basic.
  * Correct three errors that prevented the node to work properly.
  * Contributors: Filippo Basso, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 07:00:00 -0000


