=== debian/control ===
Source: ros-galactic-camera-calibration
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, python3-requests, ros-galactic-ament-copyright, ros-galactic-ament-flake8, ros-galactic-ament-pep257, ros-galactic-cv-bridge, ros-galactic-image-geometry, ros-galactic-message-filters, ros-galactic-rclpy, ros-galactic-sensor-msgs, ros-galactic-std-srvs, ros-galactic-ros-workspace, python3-all, python3-setuptools
Homepage: https://index.ros.org/p/camera_calibration/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-galactic-camera-calibration
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-galactic-cv-bridge, ros-galactic-image-geometry, ros-galactic-message-filters, ros-galactic-rclpy, ros-galactic-sensor-msgs, ros-galactic-std-srvs, ros-galactic-ros-workspace
Description: camera_calibration allows easy calibration of monocular or stereo cameras using a checkerboard calibration target.
